#include "KillerProjectileAbilityProjectile.h"
#include "UObject/NoExportTypes.h"
#include "Engine/HitResult.h"
#include "Components/SphereComponent.h"
#include "PoolableProjectileComponent.h"

class UPrimitiveComponent;
class AActor;

void AKillerProjectileAbilityProjectile::OnComponentHit(UPrimitiveComponent* hitComponent, AActor* otherActor, UPrimitiveComponent* otherComponent, FVector normalImpulse, const FHitResult& hitResult)
{

}

void AKillerProjectileAbilityProjectile::OnBounce(const FHitResult& impactResult, const FVector& oldVelocity)
{

}

void AKillerProjectileAbilityProjectile::OnAcquiredChanged(bool isAcquired)
{

}

AKillerProjectileAbilityProjectile::AKillerProjectileAbilityProjectile()
{
	this->_targetDetectorCollisionProfile = TEXT("AttackDetector");
	this->_collision = CreateDefaultSubobject<USphereComponent>(TEXT("Collision"));
	this->_poolableProjectile = CreateDefaultSubobject<UPoolableProjectileComponent>(TEXT("PoolableProjectile"));
}
